#
# TODO:
#	- separate subpackage with /etc/xpdfrc file; pdftotext
#	  from xpdf-tools or poppler-progs can use language
#	  support files but don't require entire xpdf
#
# Conditional build:
%bcond_with	protections	# protections against fair use (printing and copying)
%bcond_without	x		# X-based browser

Summary:	Portable Document Format (PDF) file viewer
Summary(es.UTF-8):	Visualizador de archivos PDF
Summary(ja.UTF-8):	X Window System での PDF ファイルヴューア
Summary(pl.UTF-8):	Przeglądarka plików w formacie PDF
Summary(pt_BR.UTF-8):	Visualizador de arquivos PDF
Summary(ru.UTF-8):	Программа для просмотра PDF файлов
Summary(uk.UTF-8):	Програма для перегляду PDF файлів
Name:		xpdf
Version:	3.03
Release:	2
License:	GPL v2 or GPL v3
Group:		Applications/Publishing
Source0:	ftp://ftp.foolabs.com/pub/xpdf/%{name}-%{version}.tar.gz
# Source0-md5:	af75f772bee0e5ae4a811ff9d03eac5a
Source1:	%{name}.desktop
Source2:	%{name}.png
Source3:	%{name}rc
Patch0:		%{name}-remove_protections.patch
Patch1:		%{name}-fontdirs.patch
URL:		http://www.foolabs.com/xpdf/
BuildRequires:	autoconf
BuildRequires:	freetype-devel >= 2.1.0
BuildRequires:	libpaper-devel
BuildRequires:	libstdc++-devel
%{?with_x:BuildRequires:	motif-devel >= 2.2}
BuildRequires:	rpmbuild(macros) >= 1.596
%{?with_x:BuildRequires:	xorg-lib-libX11-devel}
Requires:	desktop-file-utils
Suggests:	ghostscript-fonts-std
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreqdep	libXm.so.1 libXm.so.2
%define		specflags_ia32	 -fomit-frame-pointer

%description
Xpdf is an X Window System based viewer for Portable Document Format
(PDF) files. PDF files are sometimes called Acrobat files, after Adobe
Acrobat (Adobe's PDF viewer). Xpdf is a small and efficient program
which uses standard X fonts.
%{!?with_protections:This version ignores protections for both: printing and copying.}

%description -l es.UTF-8
Xpdf es un visor de archivos PDF (Portable Document Format). (Estos
son algunas veces llamados de archivos 'Acrobat', nombre del software
PDF del Adobe. Xpdf fue proyectado para ser pequeño y eficiente. Usa
fuentes padrón X.

%description -l ja.UTF-8
xpdf は Portable Document Format (PDF) ファイルの X Window System
上での ヴューアです。PDF ファイルは Adobe Acrobat (Adobe の PDF
ヴューア) にちなんで、 時々 Acrobat ファイルと呼ばれます。xpdf
は小さく、標準的な X のフォントを 使う効果的なプログラムです。 PDF
ファイルのヴューアが必要ならば、xpdf
パッケージをインストールしましょう。

%description -l pl.UTF-8
Xpdf jest przeglądarką plików zapisanych w formacie PDF (Portable
Document Format). Xpdf jest zaprojektowany tak, by być małym i
wydajnym programem. Używa fontów z zasobów X Window.
%{!?with_protections:Ta wersja ignoruje blokady zarówno drukowania jak i kopiowania.}

%description -l pt_BR.UTF-8
Xpdf é um visualizador de arquivos PDF (Portable Document Format).
(Estes são algumas vezes chamados de arquivos 'Acrobat', nome do
software PDF da Adobe. Xpdf foi projetado para ser pequeno e
eficiente. Ele usa fontes padrão X.

%description -l ru.UTF-8
Xpdf - это программа для просмотра файлов в формате Portable Document
Format (PDF). Она быстрая и эффективная и использует стандартные
шрифты X Window.

%description -l uk.UTF-8
Xpdf - це програма для перегляду файлів в форматі Portable Document
Format (PDF). Вона швидка й ефективна та використовує стандартні
шрифти X Window.

%package tools
Summary:	Set of tools for viewing information and converting PDF files
Summary(pl.UTF-8):	Zestaw narzędzi do wyświetlania informacji i konwertowania plików PDF
Group:		Applications/Publishing
Provides:	pdftops
Obsoletes:	pdftohtml-pdftops

%description tools
Set of utilities for displaying information about PDF-files (pdfinfo,
pdffonts, pdfimages) and converting them (pdftopbm, pdftops,
pdftotext).

%description tools -l pl.UTF-8
Zestaw programów do wyświetlania informacji o plikach PDF (pdfinfo,
pdffonts, pdfimages) i konwertowania ich do innych formatów (pdftopbm,
pdftops, pdftotext).

%prep
%setup -q
%{!?with_protections:%patch0 -p1}
%patch1 -p1

%build
%{__autoconf}
%{!?with_x:export no_x=yes}
CXXFLAGS="%{rpmcflags} -fno-exceptions -fno-rtti"
%configure \
	--enable-a4-paper \
	--enable-freetype2 \
	--enable-multithreaded \
	--enable-opi \
	--enable-wordlist \
	--with-freetype2-includes=/usr/include/freetype2

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir},%{_datadir}/xpdf}
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cp -p %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
cp -p %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}
cp -p %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database

%postun
%update_desktop_database

%if %{with x}
%files
%defattr(644,root,root,755)
%doc ANNOUNCE CHANGES README
%attr(755,root,root) %{_bindir}/xpdf
%config(noreplace,missingok) %verify(not md5 mtime size) %{_sysconfdir}/xpdfrc
%{_datadir}/xpdf
%{_mandir}/man1/xpdf.1*
%{_mandir}/man5/xpdfrc.5*
%{_desktopdir}/xpdf.desktop
%{_pixmapsdir}/xpdf.png
%endif

%files tools
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/pdfdetach
%attr(755,root,root) %{_bindir}/pdffonts
%attr(755,root,root) %{_bindir}/pdfimages
%attr(755,root,root) %{_bindir}/pdfinfo
%attr(755,root,root) %{_bindir}/pdftoppm
%attr(755,root,root) %{_bindir}/pdftops
%attr(755,root,root) %{_bindir}/pdftotext
%{_mandir}/man1/pdfdetach.1*
%{_mandir}/man1/pdffonts.1*
%{_mandir}/man1/pdfimages.1*
%{_mandir}/man1/pdfinfo.1*
%{_mandir}/man1/pdftoppm.1*
%{_mandir}/man1/pdftops.1*
%{_mandir}/man1/pdftotext.1*
%changelog
* Fri Nov 29 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xpdf.git;a=log;h=master

* Thu Oct 17 2013 Elan Ruusamäe <glen@delfi.ee> ca5bcee
- G: Applications/Publishing

* Thu Aug 25 2011 Tomasz Pala <gotar@pld-linux.org> e09d54d
- BR: motif-devel >= 2.2 met only by openmotif, won't build with lesstif:
XPDFViewer.cc:1806:54: error: invalid conversion from 'const char*' to 'char*'
XPDFViewer.cc:1806:54: error:   initializing argument 1 of 'unsigned char* XmStringCreateLocalized(char*)'

* Wed Aug 24 2011 Tomasz Pala <gotar@pld-linux.org> b5ffec7
- upgraded to 3.03: Xpdf no longer supports X fonts, displayFontT1/TT
  merged into fontFile, t1lib code removed for security reasons

* Sun Aug 21 2011 Jakub Bogusz <qboosh@pld-linux.org> cf80dde
- updated to 3.03
- updated remove_protections,fontdirs patches
- updated License (GPL v2 or v3 now)
- no longer uses external t1lib (caused security problems)

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> ae007d9
- dropped pre-cvs changelog

* Fri Nov 05 2010 Kacper Kornet <draenog@pld-linux.org> 4011bdc
- up to 3.02pl5 (fixes CVE-2010-3702, CVS-2010-3704)

* Sun Jun 06 2010 radek <radek@pld-linux.org> 9917f67
- release 8: disable protections by default, use debian's patch (more complete)

* Tue Oct 20 2009 amateja <amateja@pld-linux.org> 577e1c7
- added security patch
- release 7

* Tue Oct 20 2009 amateja <amateja@pld-linux.org> a811c42
- initial

* Mon Jul 06 2009 Tomasz Pala <gotar@pld-linux.org> 2914f89
- rel. 6, fixed:
 CVE-2009-0799
 CVE-2009-1181
 CVE-2009-1183
 CVE-2009-0146
 CVE-2009-0147
 CVE-2009-0166
 CVE-2009-0800
 CVE-2009-1179
 CVE-2009-1180
 CVE-2009-1182

* Mon Apr 20 2009 Paweł Gołaszewski <blues@pld-linux.org> 32dcb4f
- more CVE blockers with the same solution

* Mon Apr 20 2009 Paweł Gołaszewski <blues@pld-linux.org> 011a6af
- security blocker with 3 CVE notes

* Thu Mar 20 2008 Tomasz Pala <gotar@pld-linux.org> c6c887d
- S: ghostscript-fonts-std

* Sun Mar 09 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> bf0f27c
- enable freetype by default

* Sun Feb 03 2008 Tomasz Pala <gotar@pld-linux.org> 79fd0d5
- added TODO

* Wed Dec 26 2007 blekot <blekot@pld-linux.org> c59a167
- massive change ( validate errors warrings from desktop-file-validate)
  - sed -i 's,Encoding=UTF-8,,g' *.desktop
  - sed -i "s,.png,,1" `grep -l 'Icon=[^/].*\.png' *.desktop`
  - sed -i "s,MimeType=.*,\0;,g" `grep "MimeType.*semicolon" validate |awk '{print $1}' |tr ":" " "`
  - sed -i 's,MapNotify=.*,,g' *.desktop
  - sed -i '/^$/d' *.desktop
- not all error/warrings validated

* Wed Nov 28 2007 Jakub Bogusz <qboosh@pld-linux.org> e1994f3
- removed outdated cve-2006-0301 patch

* Wed Nov 28 2007 Jakub Bogusz <qboosh@pld-linux.org> 37d6760
- outdated

* Wed Nov 28 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 2356dfc
- rel 5

* Fri Nov 09 2007 Kacper Kornet <draenog@pld-linux.org> 448bc38
- upgraded to 3.02pl2 (fixes CVE-2007-4352, CVE-2007-5392, CVE-2007-5393)
- rel 4

